Wireshark 2.9.0-477-g68ec514b The Wireshark network protocol analyzer

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Public Member Functions | Public Attributes | Protected Member Functions | Protected Attributes | List of all members
QCPAxisPainterPrivate Class Reference

## Classes
struct | CachedLabel
struct | TickLabelData

## Public Member Functions
| QCPAxisPainterPrivate (QCustomPlot *parentPlot)
virtual void | draw (QCPPainter *painter)
virtual int | size () const
void | clearCache ()
QRect | axisSelectionBox () const
QRect | tickLabelsSelectionBox () const
QRect | labelSelectionBox () const

## Public Attributes
QCPAxis::AxisType | type
QPen | basePen
QCPLineEnding | lowerEnding
QCPLineEnding | upperEnding
int | labelPadding
QFont | labelFont
QColor | labelColor
QString | label
int | tickLabelPadding
double | tickLabelRotation
QCPAxis::LabelSide | tickLabelSide
bool | substituteExponent
bool | numberMultiplyCross
int | tickLengthIn
int | tickLengthOut
int | subTickLengthIn
int | subTickLengthOut
QPen | tickPen
QPen | subTickPen
QFont | tickLabelFont
QColor | tickLabelColor
QRect | axisRect
QRect | viewportRect
double | offset
bool | abbreviateDecimalPowers
bool | reversedEndings
QVector< double > | subTickPositions
QVector< double > | tickPositions
QVector< QString > | tickLabels

## Protected Member Functions
virtual QByteArray | generateLabelParameterHash () const
virtual void | placeTickLabel (QCPPainter *painter, double position, int distanceToAxis, const QString &text, QSize *tickLabelsSize)
virtual void | drawTickLabel (QCPPainter *painter, double x, double y, const TickLabelData &labelData) const
virtual TickLabelData | getTickLabelData (const QFont &font, const QString &text) const
virtual QPointF | getTickLabelDrawOffset (const TickLabelData &labelData) const
virtual void | getMaxTickLabelSize (const QFont &font, const QString &text, QSize *tickLabelsSize) const

## Protected Attributes
QCustomPlot * | mParentPlot
QByteArray | mLabelParameterHash
QCache< QString, CachedLabel > | mLabelCache
QRect | mAxisSelectionBox
QRect | mTickLabelsSelectionBox
QRect | mLabelSelectionBox

## Constructor & Destructor Documentation

QCPAxisPainterPrivate::QCPAxisPainterPrivate | ( | QCustomPlot * | parentPlot | ) |
| explicit

Constructs a QCPAxisPainterPrivate instance. Make sure to not create a new instance on every redraw, to utilize the caching mechanisms.

The documentation for this class was generated from the following files:

- /home/wireshark/builders/wireshark-master/ubuntu-16.04-x64/build/ui/qt/widgets/qcustomplot.h
- /home/wireshark/builders/wireshark-master/ubuntu-16.04-x64/build/ui/qt/widgets/qcustomplot.cpp